[EPIC] Graduate the New Filters UX on Watchlist out of beta on all wikis
Closed, ResolvedPublic

Description

Subject to community consultation, we are planning to make the New Filters—currently in beta on Watchlist— standard for all wikis by the end of Q4 2017-18 (end of this June). There are a few tasks we need to complete in advance of this release, which I will put into subtasks. Briefly, they are: 1) dd opt-out on Watchlist Prefs page like the one for RC page, 2) adapt the guided-tour widget with opt-out that we used for RC page 3) announce to communities.

Release and schedule:

Related Objects

jmatazzoni updated the task description. (Show Details)May 23 2018, 8:59 PM
jmatazzoni raised the priority of this task from Normal to High.May 23 2018, 10:02 PM

I think a killing feature would be T178486: Explore how the different approaches to make filters more compact work together. We had feedback about that compact mode being requested. Have you considered it?

Also, don't forget to fill a request for support if you need a CL.

jmatazzoni updated the task description. (Show Details)May 30 2018, 12:53 AM
Trizek-WMF updated the task description. (Show Details)

New round on Tech News, to have it as a reminder (first release starting on June 18th).

Change 440629 had a related patch set uploaded (by Mooeypoo; owner: Mooeypoo):
[operations/mediawiki-config@master] Enable RCFilters by default on Watchlist in Beta

https://gerrit.wikimedia.org/r/440629

Change 440629 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable RCFilters by default on Watchlist in Beta

https://gerrit.wikimedia.org/r/440629

Change 440641 had a related patch set uploaded (by Mooeypoo; owner: Mooeypoo):
[operations/mediawiki-config@master] Rollout Watchlist Structured Filters to most wikis

https://gerrit.wikimedia.org/r/440641

Change 440642 had a related patch set uploaded (by Mooeypoo; owner: Mooeypoo):
[operations/mediawiki-config@master] Rollout Watchlist Structured Filters to all wikis

https://gerrit.wikimedia.org/r/440642

Trizek-WMF updated the task description. (Show Details)Jun 21 2018, 3:57 PM

Per T195427#4312934, when we do this deployment we should also run maintenance/initUserPreference.php to set the wlenhancedfilters-seen-tour preference based on the value of the beta feature (rcenhancedfilters).

MMiller_WMF renamed this task from Graduate the New Filters UX on Watchlist out of beta on all wikis to [EPIC] Graduate the New Filters UX on Watchlist out of beta on all wikis.Jul 3 2018, 6:28 PM
Catrope claimed this task.

Change 440641 merged by jenkins-bot:
[operations/mediawiki-config@master] Rollout Watchlist Structured Filters to most wikis

https://gerrit.wikimedia.org/r/440641

Mentioned in SAL (#wikimedia-operations) [2018-07-09T18:23:15Z] <catrope@deploy1001> Synchronized wmf-config/: Rollout Watchlist Structured Filters to most wikis (T181193) (duration: 00m 53s)

Change 440642 merged by jenkins-bot:
[operations/mediawiki-config@master] Rollout Watchlist Structured Filters to all wikis

https://gerrit.wikimedia.org/r/440642

Mentioned in SAL (#wikimedia-operations) [2018-07-16T18:10:20Z] <niharika29@deploy1001> Synchronized wmf-config/: Rollout Watchlist Structured Filters to all wikis T181193 (duration: 00m 51s)

Etonkovidova closed this task as Resolved.Thu, Jul 26, 6:48 PM